#
# spec file for package octave-forge-fits
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  fits
Name:           octave-forge-%{octpkg}
Version:        1.0.5
Release:        5.1
Summary:        Octave functions for reading and writing FITS files
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM fits-build-flags.patch
Patch1:         fits-build-flags.patch
BuildRequires:  cfitsio-devel
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
BuildRequires:  pkg-config
Requires:       octave-cli >= 3.0.0

%description
Functions for reading and writing FITS (Flexible Image Transport System) files. 
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%patch1
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.0.5
- Fix build flags
  * octave-forge-fits.patch
